# Generated by Django 3.2 on 2022-06-16 14:37

import datetime
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('main', '0002_auto_20220616_1430'),
    ]

    operations = [
        migrations.AlterField(
            model_name='school',
            name='created_date',
            field=models.DateTimeField(default=datetime.datetime(2022, 6, 16, 14, 37, 13, 283541)),
        ),
        migrations.CreateModel(
            name='Student',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=100)),
                ('from_class', models.IntegerField(blank=True)),
                ('bio', models.TextField(blank=True, max_length=400)),
                ('image', models.ImageField(blank=True, null=True, upload_to='Students image')),
                ('teacher', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='main.teachers')),
            ],
        ),
        migrations.CreateModel(
            name='Directors',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=100)),
                ('age', models.IntegerField(blank=True)),
                ('bio', models.TextField(blank=True, max_length=400)),
                ('image', models.ImageField(blank=True, null=True, upload_to='Directors image')),
                ('school', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='main.school')),
            ],
        ),
    ]
